# -*- encoding: utf-8 -*-
# stub: attr_encrypted 3.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "attr_encrypted".freeze
  s.version = "3.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sean Huber".freeze, "S. Brent Faulkner".freeze, "William Monk".freeze, "Stephen Aghaulor".freeze]
  s.cert_chain = ["certs/saghaulor.pem".freeze]
  s.date = "2020-07-19"
  s.description = "Generates attr_accessors that encrypt and decrypt attributes transparently".freeze
  s.email = ["seah@shuber.io".freeze, "sbfaulkner@gmail.com".freeze, "billy.monk@gmail.com".freeze, "saghaulor@gmail.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "attr_encrypted.gemspec".freeze, "certs/saghaulor.pem".freeze, "checksum/attr_encrypted-3.0.0.gem.sha256".freeze, "checksum/attr_encrypted-3.0.0.gem.sha512".freeze, "checksum/attr_encrypted-3.0.1.gem.sha256".freeze, "checksum/attr_encrypted-3.0.1.gem.sha512".freeze, "checksum/attr_encrypted-3.0.2.gem.sha256".freeze, "checksum/attr_encrypted-3.0.2.gem.sha512".freeze, "checksum/attr_encrypted-3.0.3.gem.sha256".freeze, "checksum/attr_encrypted-3.0.3.gem.sha512".freeze, "checksums.yaml.gz.sig".freeze, "data.tar.gz.sig".freeze, "lib/attr_encrypted.rb".freeze, "lib/attr_encrypted/adapters/active_record.rb".freeze, "lib/attr_encrypted/adapters/data_mapper.rb".freeze, "lib/attr_encrypted/adapters/sequel.rb".freeze, "lib/attr_encrypted/version.rb".freeze, "metadata.gz.sig".freeze, "test/active_record_test.rb".freeze, "test/attr_encrypted_test.rb".freeze, "test/compatibility_test.rb".freeze, "test/data_mapper_test.rb".freeze, "test/legacy_active_record_test.rb".freeze, "test/legacy_attr_encrypted_test.rb".freeze, "test/legacy_compatibility_test.rb".freeze, "test/legacy_data_mapper_test.rb".freeze, "test/legacy_sequel_test.rb".freeze, "test/run.sh".freeze, "test/sequel_test.rb".freeze, "test/test_helper.rb".freeze]
  s.homepage = "http://github.com/attr-encrypted/attr_encrypted".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n\n\nWARNING: Several insecure default options and features were deprecated in attr_encrypted v2.0.0.\n\nAdditionally, there was a bug in Encryptor v2.0.0 that insecurely encrypted data when using an AES-*-GCM algorithm.\n\nThis bug was fixed but introduced breaking changes between v2.x and v3.x.\n\nPlease see the README for more information regarding upgrading to attr_encrypted v3.0.0.\n\n\n".freeze
  s.rdoc_options = ["--line-numbers".freeze, "--inline-source".freeze, "--main".freeze, "README.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Encrypt and decrypt attributes".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<encryptor>.freeze, ["~> 3.0.0"])
    s.add_development_dependency(%q<activerecord>.freeze, [">= 2.0.0"])
    s.add_development_dependency(%q<actionpack>.freeze, [">= 2.0.0"])
    s.add_development_dependency(%q<datamapper>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_development_dependency(%q<sequel>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3.0", ">= 1.3.6"])
    s.add_development_dependency(%q<dm-sqlite-adapter>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov-rcov>.freeze, [">= 0"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["<= 0.6.0"])
  else
    s.add_dependency(%q<encryptor>.freeze, ["~> 3.0.0"])
    s.add_dependency(%q<activerecord>.freeze, [">= 2.0.0"])
    s.add_dependency(%q<actionpack>.freeze, [">= 2.0.0"])
    s.add_dependency(%q<datamapper>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<sequel>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.3.0", ">= 1.3.6"])
    s.add_dependency(%q<dm-sqlite-adapter>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov-rcov>.freeze, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["<= 0.6.0"])
  end
end
